﻿<!-- DevExtreme library -->
<script type="text/javascript" src="/assets/plugins/dxDataGrid/dx.all.js"></script>


<script type="text/javascript">
	// console.log(data_json[0]);

	var _height_Window 	= $(window).height();
	var _height_Header 	= $('.iq-top-navbar').height();
	var _height_Title 	= $('.iq-card-header').height();
	var _height_Footer 	= $('.iq-footer').height();

	// console.log(_height_Window);
	// console.log(_height_Header);
	// console.log(_height_Title);
	// console.log(_height_Footer);
	/* Config scroll table - Xoá comment để kích hoạt */
	var flag_fixed = false;
	if($(window).width() > 760){
		$('#gridContainer').height(_height_Window - _height_Header - _height_Title - _height_Footer - 76);
		flag_fixed = true;
	}else{
		$('#gridContainer').height(_height_Window);
		if($(window).width() > 375){
			flag_fixed = true;
		}else{
			flag_fixed = false;
		}
	}

	function set_color(ROW_TR, data){
		let idColor = data.IDMau;
		var COLUMN_TD = ROW_TR.children();

		$(COLUMN_TD[5]).css({backgroundColor: 'rgb(217, 225, 242)'});
		$(COLUMN_TD[14]).css({backgroundColor: 'rgb(217, 225, 242)'});

		if(idColor == 10){
			ROW_TR.css({backgroundColor: 'rgb(244, 176, 132)', fontWeight: 'bold'});
			$(COLUMN_TD[0]).css({textAlign: 'center'});
			$(COLUMN_TD[5]).css({backgroundColor: 'rgb(244, 176, 132)'});
			$(COLUMN_TD[14]).css({backgroundColor: 'rgb(244, 176, 132)'});
		}
		if(idColor == 9){
			ROW_TR.css({backgroundColor: 'rgb(248, 203, 173)', fontWeight: 'bold'});
			$(COLUMN_TD[0]).css({textAlign: 'center'});
			$(COLUMN_TD[5]).css({backgroundColor: 'rgb(248, 203, 173)'});
			$(COLUMN_TD[14]).css({backgroundColor: 'rgb(248, 203, 173)'});
		}
		if(idColor == 7){
			ROW_TR.css({backgroundColor: 'rgb(198, 224, 180)', fontWeight: 'bold'});
			$(COLUMN_TD[5]).css({backgroundColor: 'rgb(198, 224, 180)'});
			$(COLUMN_TD[14]).css({backgroundColor: 'rgb(198, 224, 180)'});
		}

		if(idColor == 8){
			ROW_TR.css({backgroundColor: 'rgb(255, 255, 0)', fontWeight: 'bold'});
			$(COLUMN_TD[5]).css({backgroundColor: 'rgb(255, 255, 0)'});
			$(COLUMN_TD[14]).css({backgroundColor: 'rgb(255, 255, 0)'});
		}
		if(idColor == 6){
			ROW_TR.css({backgroundColor: 'rgb(169, 208, 142)', fontWeight: 'bold'});
			$(COLUMN_TD[5]).css({backgroundColor: 'rgb(169, 208, 142'});
			$(COLUMN_TD[14]).css({backgroundColor: 'rgb(169, 208, 142'});
		}
		if(idColor == 2){
			ROW_TR.css({backgroundColor: 'rgb(255, 242, 204)', fontWeight: 'bold'});
			$(COLUMN_TD[5]).css({backgroundColor: 'rgb(255, 242, 204'});
			$(COLUMN_TD[14]).css({backgroundColor: 'rgb(255, 242, 204'});
		}
		//if(idColor == -1){

		//}
		if(idColor == -2){
			$(COLUMN_TD[3]).css({backgroundColor: 'rgb(198, 224, 180)'});
			$(COLUMN_TD[4]).css({backgroundColor: 'rgb(198, 224, 180)'});
			$(COLUMN_TD[5]).css({backgroundColor: 'rgb(217, 225, 242)'});
		}
	}

	function set_color_by_value(COLUMN_TD, value){
		if(!value){
			COLUMN_TD.css({backgroundColor: '#fff', borderColor: '#fff'});
		}
	}

	$(function(){
		$.ajax({
			// url: '@Url.Action("GetAll_ThongKeMuiTiem_Tong_TheoTaiKhoan", "BaoCaoAPI1")',
			url: '@Url.Action("GetAll_ThongKeMuiTiem_Tong_TheoTaiKhoan", "BaoCaoAPI1")',
			type: 'GET',
			dataType: 'json'
		})
		.done(function(response) {
			console.log(response[0]);
			$("#gridContainer").dxDataGrid({
				dataSource: response,
				showBorders: true,
				showRowLines: true,
				paging: {
					enabled: false
				},
				columnAutoWidth: true,
				columnFixing: {
					enabled: true
				},
				columns:
					[
						{
							headerCellTemplate: function(container) {
								container.text('PHÒNG BAN').parent().css({paddingTop: '45px',fontWeight: 'bold',color: '#000',textAlign: 'center'});
							},
							dataField: "ChiTietHienThi",
							fixed: flag_fixed,
							cellTemplate: function (container, options) {
								$(container).html(options.value);
								let ROW_TR = $(container).parent();
								set_color(ROW_TR, options.data);
							}
						},
						{
							columns:
							[
								{
									headerCellTemplate: function(container) {
										container.text('SỐ LƯỢNG').parent().css({backgroundColor: '#b4c6e7',color: '#000',textAlign: 'center',fontWeight: 'bold'});
									},
									alignment: "center",
									columns:
									[
										{
											headerCellTemplate: function(container) {
												container.html('ĐÃ TIÊM<br/>MŨI 1').parent().css({backgroundColor: '#b4c6e7',color: '#000',fontWeight: 'bold'});
											},
											dataField: "Mui1_DaTiem_SL",
											format: "fixedPoint",
											alignment: "center",
										},
										{
											headerCellTemplate: function(container) {
												container.html('ĐÃ TIÊM<br/>MŨI 2').parent().css({backgroundColor: '#b4c6e7',color: '#000',fontWeight: 'bold'});
											},
											dataField: "Mui2_DaTiem_SL",
											format: "fixedPoint",
											alignment: "center",
										},
										{
											headerCellTemplate: function(container) {
												container.html('CHƯA TIÊM<br/>MŨI 1').parent().css({backgroundColor: '#b4c6e7',color: '#000',fontWeight: 'bold'});
											},
											dataField: "Mui1_ChuaTiem_SL",
											format: "fixedPoint",
											alignment: "center"
										},
										{
											headerCellTemplate: function(container) {
												container.html('CHƯA TIÊM<br/>MŨI 2').parent().css({backgroundColor: '#b4c6e7',color: '#000',fontWeight: 'bold'});
											},
											dataField: "Mui2_ChuaTiem_SL",
											format: "fixedPoint",
											alignment: "center",
										},
										{
											headerCellTemplate: function(container) {
												container.html('CỘNG').parent().css({backgroundColor: '#b4c6e7',color: '#000',fontWeight: 'bold'});
											},
											dataField: "TongSoLaoDong",
											format: "fixedPoint",
											alignment: "center"
										}
									]
								},
								{
									headerCellTemplate: function(container) {
										container.html('TỈ LỆ').parent().css({backgroundColor: '#b4c6e7',color: '#000',fontWeight: 'bold'});
									},
									alignment: "center",
									columns:
										[
											{
											headerCellTemplate: function(container) {
												container.html('ĐÃ TIÊM<br/>MŨI 1').parent().css({backgroundColor: '#b4c6e7',color: '#000',fontWeight: 'bold'});
											},
											dataField: "TiLe_Mui1_DaTiem_SL",
											format: "percent",
											alignment: "center",
										},
										{
											headerCellTemplate: function(container) {
												container.html('ĐÃ TIÊM<br/>MŨI 2').parent().css({backgroundColor: '#b4c6e7',color: '#000',fontWeight: 'bold'});
											},
											dataField: "TiLe_Mui2_DaTiem_SL",
											format: "percent",
											alignment: "center",
										},
										{
											headerCellTemplate: function(container) {
												container.html('CHƯA TIÊM<br/>MŨI 1').parent().css({backgroundColor: '#b4c6e7',color: '#000',fontWeight: 'bold'});
											},
											dataField: "TiLe_Mui1_ChuaTiem_SL",
											format: "percent",
											alignment: "center",
										},
										{
											headerCellTemplate: function(container) {
												container.html('CHƯA TIÊM<br/>MŨI 2').parent().css({backgroundColor: '#b4c6e7',color: '#000',fontWeight: 'bold'});
											},
											dataField: "TiLe_Mui2_ChuaTiem_SL",
											format: "percent",
											alignment: "center",
										},
										]
								},
							]
						},

						{
							headerCellTemplate: function(container) {
								container.html('Số lượng, tỉ lệ bao gồm F0 ( FO được coi như tiêm 2 mũi trong vòng 6 tháng)').parent().css({backgroundColor: '#aeaaaa',color: '#000'});
							},
							alignment: "center",
							columns:
							[
								{
									headerCellTemplate: function(container) {
										container.html('SỐ LƯỢNG').parent().css({backgroundColor: '#ffe699',color: '#000',fontWeight: 'bold'});
									},
									alignment: "center",
									columns:
									[
										{
											headerCellTemplate: function(container) {
												container.html('ĐÃ TIÊM <br/> MŨI 1').parent().css({backgroundColor: '#ffe699',color: '#000',fontWeight: 'bold'});
											},
											dataField: "Mui1_DaTiem_SL_F0",
											format: "fixedPoint",
											alignment: "center",
											cellTemplate: function (container, options) {
												$(container).html(options.value);
												let COLUMN_TD = $(container);
												set_color_by_value(COLUMN_TD, options.value);
											}
										},
										{
											headerCellTemplate: function(container) {
												container.html('ĐÃ TIÊM <br/> MŨI 2').parent().css({backgroundColor: '#ffe699',color: '#000',fontWeight: 'bold'});
											},
											dataField: "Mui2_DaTiem_SL_F0",
											format: "fixedPoint",
											alignment: "center",
											cellTemplate: function (container, options) {
												$(container).html(options.value);
												let COLUMN_TD = $(container);
												set_color_by_value(COLUMN_TD, options.value);
											}
										},
										{
											headerCellTemplate: function(container) {
												container.html('CHƯA TIÊM <br/> MŨI 1').parent().css({backgroundColor: '#ffe699',color: '#000',fontWeight: 'bold'});
											},
											dataField: "Mui1_ChuaTiem_SL_F0",
											format: "fixedPoint",
											alignment: "center",
											cellTemplate: function (container, options) {
												$(container).html(options.value);
												let COLUMN_TD = $(container);
												set_color_by_value(COLUMN_TD, options.value);
											}
										},
										{
											headerCellTemplate: function(container) {
												container.html('CHƯA TIÊM <br/> MŨI 2').parent().css({backgroundColor: '#ffe699',color: '#000',fontWeight: 'bold'});
											},
											dataField: "Mui2_ChuaTiem_SL_F0",
											format: "fixedPoint",
											alignment: "center",
											cellTemplate: function (container, options) {
												$(container).html(options.value);
												let COLUMN_TD = $(container);
												set_color_by_value(COLUMN_TD, options.value);
											}
										},
										{
											headerCellTemplate: function(container) {
												container.html('CỘNG').parent().css({backgroundColor: '#ffe699',color: '#000',fontWeight: 'bold'});
											},
											dataField: "TongSoLaoDong_F0",
											format: "fixedPoint",
											alignment: "center",
											cellTemplate: function (container, options) {
												$(container).html(options.value);
												let COLUMN_TD = $(container);
												set_color_by_value(COLUMN_TD, options.value);
											}
										}
									]
								},
								{
									headerCellTemplate: function(container) {
										container.html('TỈ LỆ').parent().css({backgroundColor: '#ffe699',color: '#000',fontWeight: 'bold'});
									},
									alignment: "center",
									columns:
										[
											{
											headerCellTemplate: function(container) {
												container.html('ĐÃ TIÊM <br/> MŨI 1').parent().css({backgroundColor: '#ffe699',color: '#000',fontWeight: 'bold'});
											},
											dataField: "TiLe_Mui1_DaTiem_SL_F0",
											format: "percent",
											alignment: "center",
											cellTemplate: function (container, options) {
												$(container).html(options.value);
												let COLUMN_TD = $(container);
												set_color_by_value(COLUMN_TD, options.value);
											}
										},
										{
											headerCellTemplate: function(container) {
												container.html('ĐÃ TIÊM <br/> MŨI 2').parent().css({backgroundColor: '#ffe699',color: '#000',fontWeight: 'bold'});
											},
											dataField: "TiLe_Mui2_DaTiem_SL_F0",
											format: "percent",
											alignment: "center",
											cellTemplate: function (container, options) {
												$(container).html(options.value);
												let COLUMN_TD = $(container);
												set_color_by_value(COLUMN_TD, options.value);
											}
										},
										{
											headerCellTemplate: function(container) {
												container.html('CHƯA TIÊM <br/> MŨI 1').parent().css({backgroundColor: '#ffe699',color: '#000',fontWeight: 'bold'});
											},
											dataField: "TiLe_Mui1_ChuaTiem_SL_F0",
											format: "percent",
											alignment: "center",
											cellTemplate: function (container, options) {
												$(container).html(options.value);
												let COLUMN_TD = $(container);
												set_color_by_value(COLUMN_TD, options.value);
											}
										},
										{
											headerCellTemplate: function(container) {
												container.html('CHƯA TIÊM <br/> MŨI 2').parent().css({backgroundColor: '#ffe699',color: '#000',fontWeight: 'bold'});
											},
											dataField: "TiLe_Mui2_ChuaTiem_SL_F0",
											format: "percent",
											alignment: "center",
											cellTemplate: function (container, options) {
												$(container).html(options.value);
												let COLUMN_TD = $(container);
												set_color_by_value(COLUMN_TD, options.value);
											}
										},
										]
								}
							]
						}
					],
				onContentReady: function(e) {

					var warpper_header = e.element.find(".dx-datagrid-headers>.dx-datagrid-content>table>tbody");
					console.log(warpper_header);
					// console.log(warpper_header.length);
					var count_table = warpper_header.length;
					if(count_table == 1){
						var data_row = e.element.find(".dx-datagrid-rowsview table>tbody>tr:nth-child(-n+3)");
						console.log(data_row);
						if(data_row.length > 0){
							for (var i = 0; i < data_row.length; i++) {
								let item = data_row[i];
								console.log(item);
								$(item).appendTo(warpper_header);
							}
						}
					}else{
						// var data_row = e.element.find(".dx-datagrid-rowsview table>tbody>tr:nth-child(-n+3)");
						var data_tbody = e.element.find(".dx-datagrid-rowsview table>tbody");
						console.log(data_tbody);

						let data_row_fixed = $(data_tbody[1]).children('tr:nth-child(-n+3)');
						console.log(data_row_fixed);
						if(data_row_fixed.length > 0){
							for (var i = 0; i < data_row_fixed.length; i++) {
								let item = data_row_fixed[i];
								// console.log(item);
								$(item).removeAttr('class').attr('class', 'dx-row dx-column-lines dx-header-row');
								$(item).appendTo(warpper_header[0]);
							}
						}

						let data_row = $(data_tbody[0]).children('tr:nth-child(-n+3)');
						console.log(data_row);
						if(data_row.length > 0){
							for (var i = 0; i < data_row.length; i++) {
								let item = data_row[i];
								// console.log(item);
								$(item).removeAttr('class').attr('class', 'dx-row dx-column-lines dx-header-row');
								$(item).appendTo(warpper_header[1]);
							}
						}
					}


					// dx-scrollable-wrapper
					// var row1 = e.element.find(".dx-column-lines:eq(1)");
					// console.log(row1);
					// row1.insertAfter(e.element.find(".dx-header-row"));
					// e.element.find(".dx-column-lines:eq(2)").insertAfter(row1);
				}
			});
		})
		.fail(function(error) {
			console.log("error", error);
		});

	});


</script>
